
$fs = 0.5;
$fa = $fs * 10;

use <WebWeaver/scad/Piping.scad>;


module GreenPLA() { color([28/255, 1.0, 47/255, 132/255]) children(); }
module MockupColor() { color([0, 0.6, 0.8, 0.6]) children(); }



w = 30;
h = 10;

r = 3;
_str = 1.5;
d = 10;

alpha = 60;



module curve(inner=false, outer=false) {
  translate([hs_l/2, -y_off + fu_outlet_w/2 + d/2, d]) rotate([0, 0, 270 - alpha]) cornerPipe(fu_outlet_w, hs_h, d, alpha, fu_r, fu_str, inner=inner, outer=outer);
}

module _straight(x_off=0, _y_off=0, inner=false, outer=false) {
  translate([hs_l/2, (-y_off + fu_outlet_w/2) * signum, hs_h/2 + d])
    rotate([0, 0, -alpha * signum *$t])
      translate([+ x_off, -fu_outlet_w/2 * signum + d/2 + _y_off, 0])
        rotate([90, 0, -90])
          straightPipe(fu_outlet_w, hs_h, sp_len + 2*x_off, fu_r, fu_str, inner=inner, outer=outer);
}







